MiniToolAI API giver en simpel grænseflade til avancerede AI-modeller til naturlig sprogbehandling, billedgenerering og tekst til tale. Følg denne guide for at lære, hvordan du genererer menneskelignende svar (chatGPT), og hvordan du genererer billeder ud fra tekstbeskrivelser.
Omkostningerne ved API-anmodninger trækkes fra din kreditbalance.
Tank opAPI-nøglen skal inkluderes i headeren for hver API-anmodning.
Header: "Authorization: Bearer API_key"
Opretter et modelsvar til den givne samtale.
import requests
import json
API_Url = "https://minitoolai.com/api/chat-completions/"
API_Key = "MiniToolAI_API_Key"
headers = {
"Content-Type": "application/json",
"Authorization": f"Bearer {API_Key}"
}
data = {
"model": "gpt-4o-mini", #gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
"messages": [
{"role": "developer", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello"},
{"role": "assistant", "content": "How can I help you today?"},
{"role": "user", "content": "What's the largest U.S. state by area?"}
],
"temperature": 1.0,
"max_completion_tokens": 1000
}
response = requests.post(API_Url, headers=headers, json=data, stream=True)
#single result
print(response.text)
#streamed
for line in response.iter_lines():
if line:
decode_line = line.decode('utf-8')
print(decode_line)
<?php
$api_url = "https://minitoolai.com/api/chat-completions/";
$api_key = "MiniToolAI_API_Key";
$data = [
"model" => "gpt-4o-mini", //gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
"messages" => [
["role" => "developer", "content" => "You are a helpful assistant."],
["role" => "user", "content" => "Hello"],
["role" => "assistant", "content" => "How can I help you today?"],
["role" => "user", "content" => "What's the largest U.S. state by area?"],
],
"temperature" => 1.0,
"max_completion_tokens" => 1000
];
$headers = [
"Content-Type: application/json",
"Authorization: Bearer $api_key"
];
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $api_url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
// streamed
curl_setopt($ch, CURLOPT_WRITEFUNCTION, function($ch, $data) {
echo $data;
ob_flush();
flush();
return strlen($data);
});
$response = curl_exec($ch);
if (curl_errno($ch)) {
echo "cURL error: " . curl_error($ch);
}
curl_close($ch);
?>
#data with image input
data = {
"model": "gpt-4o-mini", #gpt-4o
"messages": [
{"role": "developer", "content": "You are a helpful assistant."},
{
"role": "user",
"content": [
{"type": "text", "text": "What's in this image?"},
{
"type": "image_url",
"image_url": {
"url": "https://example.com/image.jpg", #jpg, jpeg, png, webp or gif
"detail": "auto" #auto, high or low
}
}
]
}
],
"temperature": 0.7,
"max_completion_tokens": 300
}
//data with image input
$data = [
"model" => "gpt-4o-mini", // gpt-4o
"messages" => [
["role" => "developer", "content" => "You are a helpful assistant."],
[
"role" => "user",
"content" => [
[
"type" => "text",
"text" => "What's in this image?"
],
[
"type" => "image_url",
"image_url" => [
"url" => "https://example.com/image.jpg", // jpg, jpeg, png, webp or gif
"detail" => "auto" // auto, high or low
]
]
]
]
],
"temperature" => 0.7,
"max_completion_tokens" => 300
];
messages array Påkrævet
En liste over beskeder, der udgør samtalen indtil nu.
model string Påkrævet
ID for den model, der skal bruges
Tilgængelige modeller: gpt-4o, gpt-4o-mini, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
temperature nummer eller null Valgfrit
Standard til 1
Hvilken samplingstemperatur der skal bruges, mellem 0,0 og 2,0. Højere værdier som 0,8 gør outputtet mere kreativt, mens lavere værdier som 0,2 gør det mere fokuseret og deterministisk.
max_completion_tokens heltal eller null Valgfrit
Standard til 1000
En øvre grænse for antallet af tokens, der kan genereres til en completion
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"Ok"},"logprobs":null,"finish_reason":null}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"."},"logprobs":null,"finish_reason":null}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{},"logprobs":null,"finish_reason":"stop"}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[],"usage":{"prompt_tokens":17,"completion_tokens":3,"total_tokens":20,"prompt_tokens_details":{"cached_tokens":0,"audio_tokens":0},"completion_tokens_details":{"reasoning_tokens":0,"audio_tokens":0,"accepted_prediction_tokens":0,"rejected_prediction_tokens":0}}}
data: [DONE]
Opretter et billede ud fra en prompt.
import requests
import json
url = "https://minitoolai.com/api/texttoimage/"
API_Key = "MiniToolAI_API_Key"
headers = {
"Content-Type": "application/json",
"Authorization": f"Bearer {API_Key}"
}
data = {
"model": "realvision",
"prompt": "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
"negativePrompt": "unrealistic eyes, malformed features, ugly drawn",
"scheduler": "DPM++ SDE",
"steps": 4,
"cfgScale": 2.0,
"width": 1152,
"height": 768
}
response = requests.post(url, json=data, headers=headers)
print(response.text)
'''
#response
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
'''
<?php
// API URL and Key
$url = "https://minitoolai.com/api/texttoimage/";
$API_Key = "MiniToolAI_API_Key";
// Headers
$headers = [
"Content-Type: application/json",
"Authorization: Bearer $API_Key"
];
// Data to be sent in the request
$data = [
"model" => "realvision",
"prompt" => "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
"negativePrompt" => "unrealistic eyes, malformed features, ugly drawn",
"scheduler" => "DPM++ SDE",
"steps" => 4,
"cfgScale" => 2.0,
"width" => 1152,
"height" => 768
];
// Initialize cURL session
$ch = curl_init();
// Set cURL options
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
// Execute the cURL request
$response = curl_exec($ch);
echo $response;
// Close the cURL session
curl_close($ch);
/*
Response:
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
*/
?>
Hent jobstatus og resultat
curl -X POST https://minitoolai.com/api/texttoimage/jobs/ \
-H "Content-Type: application/json" \
-d '{
"jobid": "12345678",
"signature": "abcxyz123"
}'
Svar
{
"status": "success",
"image_url": "https://...",
"message": "success"
}
model string Påkrævet
ID for den model, der skal bruges
Tilgængelige modeller: "realvision", "juggernaut", "autismmix", "dreamshaper", "valhalla", "mixrealistic", "campursari", "reality", "extrarealistic", "realism", "realgirls", "realityreborn", "amigo", "simplemix", "beautifulrealistic"
prompt string Påkrævet
Beskrivelse af billedet
negativePrompt string eller null Valgfrit
Beskrivelse af, hvad du ønsker at udelukke fra det genererede billede
scheduler string eller null Valgfrit
Styrer, hvordan støj fjernes under billedgenereringsprocessen.
Standard til "DPM++ SDE"
Mulige værdier er: "Euler a", "Euler", "LMS", "Heun", "DPM2", "DPM2 a", "DPM++ 2S a", "DPM++ 2M", "DPM++ SDE", "DPM++ 2M SDE", "DPM fast", "LMS Karras", "DPM2 Karras", "DPM2 a Karras", "DPM++ 2S a Karras", "DPM++ 2M Karras", "DPM++ SDE Karras", "DPM++ 2M SDE Karras"
steps heltal eller null Valgfrit
Antal trin i billedgenereringsprocessen, mellem 1 og 8.
Standard til 4
cfgScale nummer eller null Valgfrit
cfgScale styrer hvor meget modellen skal følge den givne tekstprompt. Det balancerer mellem kreativitet og præcision, mellem 1 og 7.
Standard til 2
cfgScale < 4 → mere kreative billeder, cfgScale > 4 → tættere på prompt, mindre kreativt
width/height heltal eller null Valgfrit
Størrelsen på det genererede billede, mellem 256 og 1344.
Standard til 1024
Pris pr. 1M tokens
| Model | Input | Output |
|---|---|---|
| gpt-4o-mini | $0.15 | $0.60 |
| gpt-4o | $2.50 | $10.00 |
| gpt-4.1 | $2.00 | $8.00 |
| gpt-4.1-mini | $0.40 | $1.60 |
| gpt-4.1-nano | $0.10 | $0.40 |
| Model | Pris pr. billede |
|---|---|
| Alle modeller | $0.0015 |